# -stx (Exclude archive type) switch

The switch disables the code related to specified archive type and an archive can not be open with specified archive type.

Multiple -stx switches are supported.

#### Syntax

    -stx{archive_type}

{archive_type}
  Specifies the type of archive. It can be: 7z, xz, split, zip, gzip, bzip2, tar, ....

#### Example

    7z x -stxpe archive.exe

extracts files from archive.exe archive and doesn't use PE format handler.

#### Commands that can be used with this switch

a (Add), d (Delete), e (Extract), l (List), t (Test), u (Update), x (Extract with full paths)